Pagina 1 di 1

slackpkg+ 1.8

Inviato: mer 12 feb 2020, 23:47
da ZeroUno
Ciao.

L'introduzione di pam ha aperto la strada al rilascio di slackware 15.0, ma ancora lavoro da fare ce n'è e quindi qualche mese c'è.

Contestualmente a slackware 15.0 vorrei rilasciare slackpkg+ 1.8

Ho poco tempo per lavorarci, ma quel poco vorrei farlo, solo che me lo devo studiare che l'ultimo commit è di un anno fa.

Sono aperti tutti i contributi in termine di fixing e feature request (ove possibile) a partire dalla versione di sviluppo slackpkg+-1.7.0d1-noarch-6mt.txz
per aggiornare basta mettere in configurazione
MIRRORPLUS['slackpkgplus']=http://slakfinder.org/slackpkg+dev/

La configurazione rimane compatibile, cambiano qualche settings di default.

Il file CHANGES che riporto è di aprile 2018. in coda aggiungo le diff successive

Codice: Seleziona tutto

== From 1.7 to mainline ==

*Configuration file:
- USEBL now accepts 'on'/'off' values instead '0'/'1'
- Changed some default settings in sample configuration file
- Added SBOURL to configure the SlackBuild.org repository

*New features:
- Added manpages (italian and english) for slackpkgplus.conf
- Added a 'fatal log' to show some serious error that the users should not
    ignore. For example a failure installing packages.
- Added SBo support. This does not replace sbopkg. It just search in
   SlackBuilds.org and report the url to download to build and install
   packages yourself.

*Improvements
- Improved checkrepos.sh
- Smaller output for 'slackpkg search'

*BugFixes
- 'slackpkg search' did not honor the '+' symbol
- Issues when an invalid repository is configured
- 'slackpkg check-updates' did not work unless you set VERBOSE=3

*Various
- Suppress wget output in ChangeLog downloading
- Bash completation enabled by default (if you have bash_completation package
    installed)
- 'slackpkg upgrade' now works with slackpkg-2.83 (development release).
     This is not officially released, so not all regressions can be solved.
     Currently slackpkg+ does not work with slackpkg-2.83 if $ROOT is non-empty.


Fix setupmultilib script
slackpkg+ did not work properly when run as a package group instead single packages.
Fix caching when repository returns 302 or uses HTTP/2
Fixed an issue when there are no repository configured.
Works with slackpkg 2.84
Allow to use the blacklist system from slackpkg 2.84 (still in beta).
Only impact install/upgrade/remove options, and does not impact greylist.

alcune fix sono già backportate sulla 1.7 stable


A questo si aggiunge una modifica non committata che sostituisce lo spinning con una percentuale di avanzamento e il supporto a TERSE
In più un modulo opzionale che ovvia al fatto che slackpkg 2.84 ha rimosso il lancio automatico di lilo a favore di un semplice messaggio "ehi, lancia lilo"! Questo modulo gestisce anche la rigenerazione dell'initrd e la copia dei file nella partizione EFI per elilo. Non gestisce grub. Non gestisce configurazioni complesse.


Aspetto feedback